import 'package:domain/entity/response/staff_request_report_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/staff_report_v_n_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/staff_report_v_n_entity.g.dart';

@JsonSerializable()
class StaffReportVNEntity {
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;
	@JSONField(name: "request_list")
	List<StaffRequestReportEntity> requestList = [];
	@JSONField(name: "total_num")
	int totalNum = 0;

	StaffReportVNEntity();

	factory StaffReportVNEntity.fromJson(Map<String, dynamic> json) => $StaffReportVNEntityFromJson(json);

	Map<String, dynamic> toJson() => $StaffReportVNEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}